Next Commerce
Carts

cart.abandoned

Triggers when a cart is marked as abandoned.

Request Body

application/json

api_version?string

API Version of the object data schema.

data?
event_id?string

Unique id associated with this webhook event.

Formatuuid
event_type?string

Webhook event type of the current event.

object?string

Object data type.

webhook?

Response Body

Example Requests

POST/cart.abandoned

{
  "api_version": "2023-02-10",
  "data": {
    "abandoned": false,
    "attribution": {
      "affiliate": null,
      "agent": {
        "email": null,
        "first_name": "string",
        "id": 0,
        "last_name": "string"
      },
      "funnel": null,
      "gclid": null,
      "metadata": {},
      "subaffiliate1": null,
      "subaffiliate2": null,
      "subaffiliate3": null,
      "subaffiliate4": null,
      "subaffiliate5": null,
      "utm_campaign": null,
      "utm_content": null,
      "utm_medium": null,
      "utm_source": null,
      "utm_term": null
    },
    "checkout_url": "https://example.com",
    "currency": "string",
    "date_created": "2024-01-01T00:00:00Z",
    "id": 0,
    "is_tax_known": false,
    "lines": [
      {
        "attributes": [
          {
            "option": null,
            "value": null
          }
        ],
        "id": 0,
        "is_upsell": false,
        "metadata": {},
        "price_currency": "string",
        "product": {
          "categories": [],
          "id": 0,
          "images": [],
          "title": "string",
          "upc": null,
          "url": "https://example.com"
        },
        "quantity": 0,
        "stockrecord": {
          "id": 0,
          "low_stock_threshold": 0,
          "num_allocated": null,
          "num_in_stock": null,
          "partner_sku": null,
          "price": null,
          "price_currency": null,
          "price_retail": null
        }
      }
    ],
    "metadata": {},
    "status": "string",
    "total_excl_tax": "0.00",
    "total_excl_tax_excl_discounts": "0.00",
    "total_incl_tax": "0.00",
    "total_incl_tax_excl_discounts": "0.00",
    "total_tax": "0.00",
    "user": {
      "accepts_marketing": false,
      "email": null,
      "first_name": "string",
      "id": 0,
      "ip": null,
      "language": null,
      "last_name": "string",
      "phone_number": null,
      "user_agent": null
    },
    "voucher_discounts": [
      {
        "amount": "0.00",
        "description": "string",
        "name": "string",
        "voucher": {
          "code": "string",
          "end_datetime": "2024-01-01T00:00:00Z",
          "name": "string",
          "start_datetime": "2024-01-01T00:00:00Z"
        }
      }
    ]
  },
  "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
  "event_type": "cart.abandoned",
  "object": "cart",
  "webhook": {
    "events": [
      "cart.abandoned"
    ],
    "id": 1,
    "store": "example",
    "target": "https://example.com/webhook/"
  }
}